<template>
  <Page>
    <div
      :style="{
        padding: '12px',
        maxWidth: '640px',
        textAlign: 'center',
        margin: '24px auto 0 auto'
      }"
    >
      <!-- eslint-disable -->
      <ScorpionLogo
        width="72px"
        height="72px"
        :style="{ margin: '12px', display: 'inline-block' }"
        variant="inverted"
      />

      <h1 :style="{ color: '#F65D6C' }">Scorpion UI</h1><!-- eslint-disable-line -->

      <!-- <VThemeSwitch /> -->

      <h2>{{ $t('views.Home.Index.subtitle') | capitalize }}</h2>

      <h3>Buttons</h3>

      <t-button
        to="/components"
      >
        <v-icon name="cube" />
        Voir les composants
      </t-button>

      <VButton
        :variant="$app.ui.isTheme({
          'light': 'primary',
          'dark': 'primary'
        })"
        inline
      >
        Primary
      </VButton>
    </div>

    <!-- Locales -->
    <div :style="{ textAlign: 'center', marginTop: '18px' }">
      <div
        v-for="(localeObj, index) in Object.values(LANGS)"
        :key="index"
        :style="{ display: 'inline-block' }"
      >
        <a
          :style="{
            backgroundColor: $app.currentLocale() === localeObj.lang ? '#FEEEF0' : 'transparent',
            color: '#F65D6C',
            padding: '6px',
            borderRadius: '6px',
            margin: '0 6px',
            cursor: 'pointer'
          }"
          @click="$app.setLocale(localeObj.lang)"
        >{{ localeObj.name }}</a>

        <span v-if="index < (Object.values(LANGS).length - 1)">|</span>
      </div>
    </div>
  </Page>
</template>

<script>
import { Core } from '@hperchec/scorpion-ui'
const RouteComponentMixin = Core.context.vue.mixins.RouteComponentMixin
/**
 * Home page component
 */
export default {
  mixins: [
    RouteComponentMixin
  ],
  data () {
    return {
      versions: {
        'scorpion-ui': Core.version,
        'scorpion-ui-template-default': __VERSION__
      }
    }
  }
}
</script>

<style lang="scss">
// #_logo {
//   @apply mx-auto;
//   @apply mt-4;
//   width: 200px;
//   height: auto;
// }
</style>
